PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Structures | Macros
system.h File Reference
SPA » Support » System

`spa/support/system.h` More...

Go to the source code of this file.

## Data Structures
struct | spa_system
struct | spa_poll_event
struct | spa_system_methods

## Macros
#define | SPA_TYPE_INTERFACE_System SPA_TYPE_INFO_INTERFACE_BASE "System"
| a collection of core system functions
#define | SPA_TYPE_INTERFACE_DataSystem SPA_TYPE_INFO_INTERFACE_BASE "DataSystem"
#define | SPA_VERSION_SYSTEM 0
#define | SPA_IO_IN (1 << 0)
#define | SPA_IO_OUT (1 << 2)
#define | SPA_IO_ERR (1 << 3)
#define | SPA_IO_HUP (1 << 4)
#define | SPA_FD_CLOEXEC (1<<0)
#define | SPA_FD_NONBLOCK (1<<1)
#define | SPA_FD_EVENT_SEMAPHORE (1<<2)
#define | SPA_FD_TIMER_ABSTIME (1<<3)
#define | SPA_FD_TIMER_CANCEL_ON_SET (1<<4)
#define | SPA_VERSION_SYSTEM_METHODS 0
#define | spa_system_method_r(o, method, version, ...)
#define | spa_system_read(s, ...)
#define | spa_system_write(s, ...)
#define | spa_system_ioctl(s, ...)
#define | spa_system_close(s, ...)
#define | spa_system_clock_gettime(s, ...)
#define | spa_system_clock_getres(s, ...)
#define | spa_system_pollfd_create(s, ...)
#define | spa_system_pollfd_add(s, ...)
#define | spa_system_pollfd_mod(s, ...)
#define | spa_system_pollfd_del(s, ...)
#define | spa_system_pollfd_wait(s, ...)
#define | spa_system_timerfd_create(s, ...)
#define | spa_system_timerfd_settime(s, ...)
#define | spa_system_timerfd_gettime(s, ...)
#define | spa_system_timerfd_read(s, ...)
#define | spa_system_eventfd_create(s, ...)
#define | spa_system_eventfd_write(s, ...)
#define | spa_system_eventfd_read(s, ...)
#define | spa_system_signalfd_create(s, ...)
#define | spa_system_signalfd_read(s, ...)

## Detailed Description

`spa/support/system.h`